/*
 * version.c: the ver() and atexit()/on_exit() routines.
 *  
 * Copyright (C), 1994, 1995, Graeme W. Wilford. (Wilf.)
 *
 * You may distribute under the terms of the GNU General Public
 * License as specified in the file COPYING that comes with this
 * distribution.
 *
 * Sat Oct 29 13:09:31 GMT 1994  Wilf. (G.Wilford@ee.surrey.ac.uk) 
 */

#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif /* HAVE_CONFIG_H */

#include <stdio.h>

#include <libintl.h>
#define _(String) gettext (String)

#include "manconfig.h"
#include "lib/error.h"

/* print the version message, then exit */
void ver(void)
{
	printf(_( "%s, version %s, db %s, %s (G.Wilford@ee.surrey.ac.uk)\n"),
	       program_name, VERSION, VER_ID, DATE);
#ifdef DEBIAN
	printf(_( "\tdebian version %s, (%s), %s\n"),
		       DEBVER, __DATE__, DEBMAINT);
#endif /* DEBIAN */
	exit(OK);
}

